Name:          jFormatString
Version:       0
Release:       %mkrel 3
Summary:       Compile time checking for Java Format Strings
Group:         Development/Java
License:       GPL
Url:           https://jformatstring.dev.java.net/
# svn export -r 8 https://jformatstring.dev.java.net/svn/jformatstring/trunk jFormatString --username guest
# pwd guest
# tar -cjf jFormatString-0.tar.bz2 jformatstring 
Source0:       jFormatString-0.tar.bz2
Source1:       jFormatString-1.3.9.pom
Patch0:        jFormatString-0-build_xml.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit4
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
This project is derived from Sun's implementation of java.util.Formatter.  It
is designed to allow compile time checks as to whether or not a use of a
format string will be erroneous when executed at runtime.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
jFormatString - Compile time checking for Java Format Strings

This package contains javadoc for %{name}.

%prep
%setup -q -n jformatstring
cd jFormatString
%patch0 -p0

%build
cd jFormatString
ant
cd ..

javadoc -d apidocs \
  -source 1.5 \
  -encoding iso-8859-1 \
  -sourcepath jFormatString/src/java \
  -classpath jFormatString/build/classes:%{_javadir}/junit4.jar \
  -link file://%{_javadocdir}/java edu.umd.cs.findbugs.formatStringChecker

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -p -m 644 jFormatString/build/jFormatString.jar \
  %{buildroot}%{_javadir}/jFormatString-%{version}.jar
(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jFormatString-%{version}
cp -rp apidocs/* %{buildroot}%{_javadocdir}/jFormatString-%{version}
ln -s jFormatString-%{version} %{buildroot}%{_javadocdir}/jFormatString

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "net.sourceforge.findbugs:jFormatString"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root) 
%{_javadir}/jFormatString-%{version}.jar
%{_javadir}/jFormatString.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc www/index.html jFormatString/LICENSE

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jFormatString-%{version}
%{_javadocdir}/jFormatString



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0-3.mga3
+ Revision: 354619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 dmorgan <dmorgan> 0-2.mga3
+ Revision: 295955
- Fix pom file

* Thu Oct 27 2011 gil <gil> 0-1.mga2
+ Revision: 158543
- added maven2 poms

* Mon Jun 27 2011 gil <gil> 0-0.mga2
+ Revision: 114809
- imported package jFormatString

